# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Name:           OpenEXR_CTL
Version:        1.0.1
Release:        alt1_15
Summary:        A simplified OpenEXR interface to CTL

Group:          System/Libraries
License:        AMPAS BSD
URL:            http://sourceforge.net/projects/ampasctl/
Source0:        http://downloads.sourceforge.net/ampasctl/openexr_ctl-%{version}.tar.gz
Patch0:         openexr_ctl-1.0.1-gcc43.patch
Patch1:         openexr_ctl-1.0.1-pkgconfig.patch
Patch2:         openexr_ctl-1.0.1-configure_gcc43.patch
Patch3:         openexr_ctl-1.0.1-gcc44.patch

#BuildRequires:  libtool
BuildRequires:  CTL-devel
BuildRequires:  openexr-devel
Source44: import.info



%description
IlmImfCtl provides a simplified OpenEXR interface to CTL

exrdpx is an initial version of a CTL-driven file converter
that translates DPX files into OpenEXR files and vice versa.
The conversion between the DPX and OpenEXR color spaces is
handled by CTL transforms.

exr_ctl_exr is an initial version of a program that can bake
the effect of a series of CTL transforms into the pixels of
an OpenEXR file.


%package        libs
Summary:        Library for %{name}
Group:          System/Libraries

%description    libs
The %{name}-libs package contains library for %{name}.

%package        devel
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{name}-libs = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.



%prep
%setup -q -n openexr_ctl-%{version}
%patch0 -p1 -b .gcc43
%patch1 -p1 -b .pkgconfig
%patch2 -p1 -b .conf_gcc43
%patch3 -p1 -b .gcc44
# Needed to disable rpath from configure
#autoreconf

%build
%configure --disable-static

# Remove rpath from libtool
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

# clean unused-direct-shlib-dependencies
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%files
%{_bindir}/exr_ctl_exr
%{_bindir}/exrdpx

%files libs
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/libIlmImfCtl.so.*
%dir %{_libdir}/CTL
%{_libdir}/CTL/*.ctl

%files devel
%{_includedir}/OpenEXR/ImfCtlApplyTransforms.h
%{_libdir}/libIlmImfCtl.so
%{_libdir}/pkgconfig/OpenEXR_CTL.pc


%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_15
- initial fc import

